Subject: [Autoconf] Regarding draft-ietf-autoconf-adhoc-addr-model

From: "Justin Dean" <[email-masked]>
Date: Thu, 29 Oct 2009 11:08:30 -0400

Here are some of my comments for this autoconf draft.

The use of the term "DAD" in section 6.1 is undefined before use.

In both sections 6.1 and 6.2 the subnet suggestions are only valid when,
there are no assumptions regarding connectivity between interfaces, as
stated in section 4.  Section 6 states "a link with undetermined
connectivity properties" I would suggest using (i.e. no assumptions can be
made regarding connectivity between interfaces)

The only thing I would like to see more of is a discussion on or clarity on
more advanced address configuration.  A statement as simple as "information
obtained regarding the connectivity properties of the link can be used to
better select addressing/subnets if when available."  This was hinted at the
end of section 4 but let me wanting a little bit more.

Overall I think this document is a step in the right direction and should be
moved forward within the autoconf working group.

Justin Dean